We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy.
Unfortunately, activation email could not send to your email. Please try again.

SfRadialMenu android compatibility: API level 21+ only ?!!!!

Thread ID:

Created:

Updated:

Platform:

Replies:

128319 Jan 13,2017 09:54 AM Jan 16,2017 05:51 AM Xamarin.Android 1
loading
Tags: SfRadialMenu
Benjamin Mayrargue
Asked On January 13, 2017 09:54 AM

SfRadialMenu android compatibility: API level 21+ only ?!!!!

I/MonoDroid( 5075): UNHANDLED EXCEPTION:
I/MonoDroid( 5075): Java.Lang.NoClassDefFoundError: android/util/Size ---> Java.Lang.ClassNotFoundException: Didn't find class "android.util.Size" on path: DexPathList[[zip file "/data/app/com.webscopemobility.WSMClient-1.apk"],nativeLibraryDirectories=[/data/app-lib/com.webscopemobility.WSMClient-1, /vendor/lib, /system/lib]]
I/MonoDroid( 5075):    --- End of inner exception stack trace ---

MonoDroid( 5075):   at Java.Interop.JniEnvironment+Types.FindClass (System.String classname) [0x00137] in <a043032cf94a485190047a14918b9f60>:0
I/MonoDroid( 5075):   at Java.Interop.JniType..ctor (System.String classname) [0x00007] in <a043032cf94a485190047a14918b9f60>:0
I/MonoDroid( 5075):   at Java.Interop.JniType.GetCachedJniType (Java.Interop.JniType& cachedType, System.String classname) [0x00024] in <a043032cf94a485190047a14918b9f60>:0
I/MonoDroid( 5075):   at Java.Interop.JniPeerMembers.get_JniPeerType () [0x0000d] in <a043032cf94a485190047a14918b9f60>:0
I/MonoDroid( 5075):   at Java.Interop.JniPeerMembers+JniInstanceMethods.get_JniPeerType () [0x0000e] in <a043032cf94a485190047a14918b9f60>:0
I/MonoDroid( 5075):   at Java.Interop.JniPeerMembers+JniInstanceMethods.StartCreateInstance (System.String constructorSignature, System.Type declaringType, Java.Interop.JniArgumentValue* parameters) [0x00049] in <a043032cf94a485190047a14918b9f60>:0
I/MonoDroid( 5075):   at Android.Util.Size..ctor (System.Int32 width, System.Int32 height) [0x00061] in <b0e1d100b79b4c5eb574c0acb2b1be12>:0
I/MonoDroid( 5075):   at Syncfusion.SfRadialMenu.Android.CircleLayout.Initialize () [0x0010f] in <ab4aabd8171a46c9979e0b588ec383d1>:0

Android.Util.Size is API 21+

This means your component is API 21+ (android 5.1+)

So not compatible with Android 4.4 (api level 19)


Chozarajan Pandiyarajan [Syncfusion]
Replied On January 16, 2017 05:51 AM

Hi Benjamin,

Thanks for contacting Syncfusion Support.

Query: RadialMenu not working below API 21
 

We have already logged defect report regarding this. We have created a new support incident under your account to track the status of your latest query. Please log on to our support website to check for further updates.

https://www.syncfusion.com/account/login?ReturnUrl=%2fsupport%2fdirecttrac%2fincidents
 

Regards,
Chozarajan P
 



CONFIRMATION

This post will be permanently deleted. Are you sure you want to continue?

Sorry, An error occured while processing your request. Please try again later.

You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.

;